#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: mwc-random
version: 0.13.6.0
id: mwc-random-0.13.6.0-3s7old0IIUJ6cNLUb7xtit
key: mwc-random-0.13.6.0-3s7old0IIUJ6cNLUb7xtit
license: BSD3
copyright: 2009, 2010, 2011 Bryan O'\''Sullivan
maintainer: Bryan O'\''Sullivan <bos@serpentine.com>
homepage: https://github.com/bos/mwc-random
synopsis: Fast, high quality pseudo random number generation
description:
    This package contains code for generating high quality random
    numbers that follow either a uniform or normal distribution.  The
    generated numbers are suitable for use in statistical applications.
    .
    The uniform PRNG uses Marsaglia'\''s MWC256 (also known as MWC8222)
    multiply-with-carry generator, which has a period of 2^8222 and
    fares well in tests of randomness.  It is also extremely fast,
    between 2 and 3 times faster than the Mersenne Twister.
    .
    Compared to the mersenne-random package, this package has a more
    convenient API, is faster, and supports more statistical
    distributions.
category: Math, Statistics
author: Bryan O'\''Sullivan <bos@serpentine.com>
exposed: True
indefinite: False
exposed-modules:
    System.Random.MWC System.Random.MWC.CondensedTable
    System.Random.MWC.Distributions
abi: 741d941d62eb592b380bff475de4c419
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/mwc-random-0.13.6.0
library-dirs: /usr/lib/ghc-8.2.2/site-local/mwc-random-0.13.6.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/mwc-random-0.13.6.0
hs-libraries: HSmwc-random-0.13.6.0-3s7old0IIUJ6cNLUb7xtit
depends:
    base-4.10.1.0 primitive-0.6.2.0-EI3NK1Xfv9zEcRtyXK2EwZ time-1.8.0.2
    vector-0.12.0.1-IUGn3M9mkBh8CyXcBnfTR4
    math-functions-0.2.1.0-Ffg2SR9VoXB36fZMhQmMl1
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             primitive-0.6.2.0-EI3NK1Xfv9zEcRtyXK2EwZ=b57ad999db73969433cb2012af075f16
             time-1.8.0.2=7cc0324e0aef789d5f0780f6640c241b
             vector-0.12.0.1-IUGn3M9mkBh8CyXcBnfTR4=aa687f07efbeaeb82a30478c8f07e96e
             math-functions-0.2.1.0-Ffg2SR9VoXB36fZMhQmMl1=a0979d22efcc2a646142971ceda8105e
haddock-interfaces: /usr/share/doc/haskell-mwc-random/html/mwc-random.haddock
haddock-html: /usr/share/doc/haskell-mwc-random/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

